# The Celo SDK

Welcome to the Celo SDK Docs Homepage! Here, you can find resources for DAppKit and ContractKit, two services that allow you to build mobile dApps, apps, and more on Celo.

- **[ContractKit](contractkit/README.md)** is a library to help developers and validators interact with the Celo Blockchain and Celo Core Contracts. It is well suited to developers looking for an easy way to integrate Celo Smart Contracts within their applications.

- **[DAppKit](dappkit/README.md)** is a lightweight set of functions that allow mobile DApps to work with the Celo Wallet to sign transactions and access the user's account. This allows for a better user experience: DApps can focus on a great native experience without having to worry about key management. It also provides a simpler development experience, as no state or connection management is necessary.

- **[Forno](forno/README.md)** is a hosted node service for interacting with the Celo network. This allow the user to get connected to the Celo Blockchain without having to run its own node.

## Get Started
To get started, check out the [Quick Start Guides](start.md)

## Get Involved

If you'd like to see the Celo SDK expanded to support your favorite technology or application, please join the conversation on the [Celo Forum](https://forum.celo.org/c/applications-and-ecosystem-development) or [Discord](https://discordapp.com/channels/600834479145353243/600834479145353245) and tell us what you'd like to build- we highly encourage contributions!

{% hint style="info" %}
Please note, financial products built on the Celo protocol may be regulated in their respective jurisdictions, so it is important that developers are responsible and attentive to their end consumers and the regulations that may apply. This commitment is also part of the [Celo Code of Conduct](https://celo.org/code-of-conduct).
{% endhint %}
