---
title: About
---

### The Celo Protocol
The Celo protocol provides a platform upon which the Celo community can create stabilized value digital assets. These digital assets aim to track the value of an existing real-world asset (for example, the first one, cUSD, is designed to track the US Dollar). The Celo protocol also includes mechanisms for [lightweight identity](https://docs.celo.org/celo-codebase/protocol/identity) and [ultralight mobile](https://docs.celo.org/celo-codebase/protocol/consensus/ultralight-sync) clients. 


<button href="https://celo.org/papers/whitepaper">Read the Celo Whitepaper</button>

### The Celo Stability Mechanism
Celo allows for multiple stable-value assets where each asset tracks a measurable value, such as the Dollar, Euro, basket of goods in Greece, the price of a barrel of oil, and more. The protocol is designed to maintain a stable value for each of these assets by adjusting its supply to match demand. The reserve is a mechanism by which the protocol can contract supply.  


![Stable-value Assets <=> CELO & additional cryptoassets](/assets/stability-mech-illo.svg)

<button href="https://celo.org/papers/stability">Celo Stability Whitepaper</button>

<button href="https://medium.com/celoorg/diving-into-the-celo-price-stability-protocol-d7afd210609e">
Celo Price Stability Protocol
</button>

### Reserve Eligible Assets 
Reserve asset selection is done through governance by the Celo community. At the moment, any new reserve assets under consideration should be freely traded and settled 24/7 on liquid markets, and should be based on an open-source protocol.  

### Custodians 
CELO is held in the Reserve smart contract. The Celo Reserve ensures that non-CELO reserve assets are held safely through the use of approved, qualified and licensed custodians in a country that is not blacklisted by the Financial Action Task Force or subject to sanctions prohibitions. Custodians are required to make publicly available the assets they hold on behalf of the Celo Reserve to ensure that Celo stakeholders and the broader Celo community have full transparency with respect to reserve assets. 


<button href="https://medium.com/celoorg/the-celo-reserve-faqs-f3f7cbb1991f">
Reserve FAQ
</button>
